# Created by pyp2rpm-3.3.2
%global pypi_name pyhamcrest

%bcond_with tests
%bcond_with doc

Name:           python-%{pypi_name}
Version:        2.1.0
Release:        %mkrel 3
Summary:        Hamcrest framework for matcher objects
Group:          Development/Python
License:        New BSD
URL:            https://github.com/hamcrest/PyHamcrest
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(mock)
%if %{with tests}
BuildRequires:  python3dist(hypothesis) >= 1.11
BuildRequires:  python3dist(pytest) >= 2.8
BuildRequires:  python3dist(pytest-cov)
%endif
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
%if %{with doc}
BuildRequires:  python3dist(sphinx)
%endif

%description
PyHamcrest is a framework for writing matcher objects, allowing you to
declaratively define “match” rules. There are a number of situations where
matchers are invaluable, such as UI validation, or data filtering, but it is in
the area of writing flexible tests that matchers are most commonly used.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)
Requires:       python3dist(six)

%description -n python3-%{pypi_name}
PyHamcrest is a framework for writing matcher objects, allowing you to
declaratively define “match” rules. There are a number of situations where
matchers are invaluable, such as UI validation, or data filtering, but it is in
the area of writing flexible tests that matchers are most commonly used.

%package -n python-%{pypi_name}-doc
Summary:        pyhamcrest documentation

%description -n python-%{pypi_name}-doc
Documentation for pyhamcrest

%prep
%autosetup -n pyhamcrest-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with doc}
# generate html docs
PYTHONPATH=${PWD} sphinx-build doc html

# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files hamcrest

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst

%if %{with doc}
%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE.txt
%endif


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.1.0-3.mga10
+ Revision: 2240359
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 2.1.0-2.mga10
+ Revision: 2157368
- rebuild for python3.13

* Thu Jan 23 2025 papoteur <papoteur> 2.1.0-1.mga10
+ Revision: 2140717
- new version 2.1.0

* Thu Dec 21 2023 tv <tv> 2.0.2-5.mga10
+ Revision: 2020687
- Rebuild for python 3.12

* Fri Mar 25 2022 umeabot <umeabot> 2.0.2-4.mga9
+ Revision: 1825604
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 2.0.2-3.mga9
+ Revision: 1774603
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Fri Mar 19 2021 neoclust <neoclust> 2.0.2-2.mga9
+ Revision: 1704946
- Rebuild against python 3.9

* Thu Jul 16 2020 joequant <joequant> 2.0.2-1.mga8
+ Revision: 1606628
- update to 2.0.2 to make it work with python3-twisted reqs

* Sun Feb 16 2020 umeabot <umeabot> 1.9.0-3.mga8
+ Revision: 1530714
- Mageia 8 Mass Rebuild

* Wed Sep 04 2019 wally <wally> 1.9.0-2.mga8
+ Revision: 1437315
- rebuild for python3.8
- drop python2 support

* Sat Jan 05 2019 wally <wally> 1.9.0-1.mga7
+ Revision: 1349570
- imported package python-pyhamcrest

